# P31 - Get products for a list of product references

Description

Note: this resource returns 100 products maximum  Results are sorted by product sku asc, then by product identifier type asc and then by product identifier asc


Call Frequency

Recommended usage: At each product page display
Maximum usage: At each product page display
Localization

This resource supports locale parameter (see documentation)Localized output fields will be highlighted with an icon:

Endpoint: GET /api/products

## Query parameters:

  - `product_references` (string, required)
    List of the product's identifiers with type, _(structure: "product_references=|,|, ...")_
where accepted ` are operator’s product references, like EAN or UPC for example.

Note that SHOP_SKU or SKU are invalid ` for this API.

  - `products` (string)
    List of the product's identifiers with type, _(structure: "products=|,|, ...")_
where accepted ` are operator’s product references, like EAN or UPC for example.

Note that SHOP_SKU or SKU are invalid ` for this API.

## Response 200 fields (application/json):

  - `products` (array, required)
    Products

  - `products.authorized_shop_ids` (array, required)
    List of the shop ids that are allowed to sell this product, or an empty list if there is no restriction on this product

  - `products.category_code` (string, required)
    Product category code

  - `products.category_label` (string, required)
    Product category label

  - `products.product_id` (string, required)
    Product ID

  - `products.product_id_type` (string, required)
    Product ID type

  - `products.product_sku` (string, required)
    Product SKU

  - `products.product_title` (string, required)
    Product title

  - `total_count` (integer, required)
    Total count


